# Zibal Payment Package

<div align="center">
  <img src="https://github.com/user-attachments/assets/bd12dfd0-6670-4d6f-b3d5-b1d7a4ff579a" alt="Zibal Logo" width="200px"/>
</div>

<div align="center">

![GitHub Stars](https://img.shields.io/github/stars/Mohammad222PR/zibal-payment?style=for-the-badge&logo=github)
![GitHub Forks](https://img.shields.io/github/forks/Mohammad222PR/zibal-payment?style=for-the-badge&logo=github)
![GitHub Issues](https://img.shields.io/github/issues/Mohammad222PR/zibal-payment?style=for-the-badge&logo=github)
![Python Version](https://img.shields.io/badge/python-3.8%2B-blue?style=for-the-badge&logo=python)
![MIT License](https://img.shields.io/github/license/Mohammad222PR/zibal-payment?style=for-the-badge&color=yellow)
![Contributors](https://img.shields.io/github/contributors/Mohammad222PR/zibal-payment?style=for-the-badge&color=brightgreen)
![GitHub Repo Size](https://img.shields.io/github/repo-size/Mohammad222PR/zibal-payment?style=for-the-badge&color=critical)
![Commit Activity](https://img.shields.io/github/commit-activity/m/Mohammad222PR/zibal-payment?style=for-the-badge&color=orange)
  
</div>

## Overview

The **[Zibal Payment Package](https://pypi.org/project/django-zibal-payment/)** is a Python package designed to simplify the integration of the Zibal payment gateway into Django and other Python applications. Whether you're working with a simple Python application or a Django project, this package provides an easy-to-use solution for managing Zibal payments.

### 🌟 **Features**

- **Seamless Integration**: Easily integrate Zibal payments into your Django application or standalone Python projects.
- **Default Django Client**: The package uses `ZibalDjangoClient` by default for Django projects, making the setup even simpler.
- **Customizable**: Option to switch to `ZibalClient` for non-Django Python applications.
- **Full API Support**: Supports payment requests, verifications, and generating payment URLs.

## 📚 **Documentation**

For detailed documentation and examples, please visit the [Full Documentation](docs/index.md).

## 🤝 **Contribution**

We welcome contributions to this project. If you find any issues or have feature requests, feel free to open an issue or submit a pull request.

## 📄 **License**

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for more details.

<div align="center">

🔗 **[Visit the Zibal Official Website](https://zibal.ir)**  
🛠️ **[Complete API Reference](docs/index.md)**

</div>
